Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch
Class TxState

    java.lang.Object
      com.atomikos.icatch.TxState

All Implemented Interfaces:
  Serializable

    public class TxState

extends Object
implements Serializable

A state implementation for a distributed transaction system.

See Also:
  Serialized Form

Field Summary
`static TxState` | `ABORTING`
`static TxState` | `ACTIVE`
`static TxState` | `COMMITTING`
`static TxState` | `HEUR_ABORTED`
`static TxState` | `HEUR_COMMITTED`
`static TxState` | `HEUR_HAZARD`
`static TxState` | `HEUR_MIXED`
`static TxState` | `IN_DOUBT`
`static TxState` | `LOCALLY_DONE`
`static TxState` | `MARKED_ABORT`
`static TxState` | `PREPARING`
`static TxState` | `SUSPENDED`
`static TxState` | `TERMINATED`

Method Summary
`boolean` | `equals(Object obj)`
`static Enumeration` | `getStates()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTIVE

    public static final TxState ACTIVE

### MARKED_ABORT

    public static final TxState MARKED_ABORT

### LOCALLY_DONE

    public static final TxState LOCALLY_DONE

### PREPARING

    public static final TxState PREPARING

### IN_DOUBT

    public static final TxState IN_DOUBT

### ABORTING

    public static final TxState ABORTING

### COMMITTING

    public static final TxState COMMITTING

### SUSPENDED

    public static final TxState SUSPENDED

### HEUR_COMMITTED

    public static final TxState HEUR_COMMITTED

### HEUR_ABORTED

    public static final TxState HEUR_ABORTED

### HEUR_MIXED

    public static final TxState HEUR_MIXED

### HEUR_HAZARD

    public static final TxState HEUR_HAZARD

### TERMINATED

    public static final TxState TERMINATED

Method Detail

### getStates

    public static Enumeration getStates()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.